List Payouts for Organization

Retrieves a paginated list of payouts for the specified organization, ordered by settling date descending by default. For channel partners, this automatically includes payouts from all their merchants.

Path Params
string
required

The organization ID

Query Params
integer | null

The maximum number of items to return

integer | null

The starting index of items to return

string
required

Filter the list of payouts by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: uuid, settlingDate

  • Example: ?filter[settlingDate]=2025-06-01

Dynamic operators:

Follow the "=" with a comparison operator and the value you want to filter by.

  • Available operators: =, !=, <, <=, >, >=.

  • Allowed attributes: settlementAmount, netAmount, feeAmount, transactionCount, transactionPendingCount, transactionSettledCount, transactionSettlingCount, settlementDate, settlingDate, createdAt, updatedAt

  • Example (greater than or equal to): ?filter[settlementAmount]=>=1000

  • Example (less than): ?filter[settlingDate]=<2025-06-01

  • Example (settlement date): ?filter[settlementDate]=2025-06-01

Scopes:

Filter by specific conditions defined in the model.

  • Allowed scopes: settlingDateBetween, settlementDateBetween, status, merchantId

  • Example: ?filter[settlingDateBetween]=2025-05-01,2025-05-31

  • Example: ?filter[settlementDateBetween]=2025-05-01,2025-05-31

  • Example: ?filter[status]=SETTLING

  • Example: ?filter[merchantId]=Z70B874W63DW

string
required

Sort the list by attribute(s). Use - prefix for descending order.

  • Allowed attributes: settlementAmount, netAmount, feeAmount, transactionCount, transactionPendingCount, transactionSettledCount, transactionSettlingCount, settlementDate, settlingDate, createdAt, updatedAt

  • Example (ascending order): ?sort=settlingDate

  • Example (descending order): ?sort=-settlementAmount

string

The timezone to use for date filtering. Defaults to 'UTC'. Supports timezone identifiers (e.g., America/Phoenix, America/Los_Angeles) and abbreviations (e.g., MST, MDT, PST, PDT). Examples: ?timezone=America/Phoenix or ?timezone=MST

Headers
string
Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json